\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-8,-1) grid (0,4);
\clip(-8,-1) rectangle (0,4);
\draw [line width=1.5pt] (-2,3)-- (-4,3);
\draw [line width=1.5pt] (-4,3)-- (-4,0);
\draw [line width=1.5pt] (-4,0)-- (-2,0);
\draw [line width=1.5pt] (-3,1.5)-- (-4,1.5);
\draw [color=black] (-1,1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-0.84,1.43) node {$A$};
\end{tikzpicture}
\end{document}